# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit base eutils python

PYTHON_DEPEND="2"

DESCRIPTION="An offline map viewer for Google Maps, OpenStreetMap and others."
HOMEPAGE="http://code.google.com/p/gmapcatcher/"
SRC_URI="http://gmapcatcher.googlecode.com/files/mapcatcher_${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
RESTRICT="mirror"
IUSE=""

DEPEND="|| ( dev-lang/python:2.6 dev-lang/python:2.7 )
	x11-libs/gtk+
	dev-python/pygtk
	dev-python/pygobject
	dev-python/pycairo
	virtual/python-imaging"
RDEPEND="${DEPEND}"

S="${WORKDIR}/mapcatcher-${PV}"


pkg_setup() {
	python_set_active_version 2
	python_pkg_setup
}

src_prepare() {
	python_convert_shebangs -r 2 .
}

src_install() {
	domenu gmapcatcher.desktop
	newicon images/map.png mapcatcher.png
	doman man/*
	dodoc README

	insinto $(python_get_sitedir)
	doins -r gmapcatcher || die

	exeinto /usr/bin/
	doexe mapcatcher || die
	doexe mapdownloader || die
	doexe mapexport.py || die
}



